export { default as api } from './api'

// 计算时间相差fn(过去距离当前时间)
export const computingTime = (pastTime) => {
    var currentTime = (new Date()).getTime(),
        distanceTime = currentTime - pastTime,
        // 计算相差天数
        days = Math.floor(distanceTime / (24 * 3600 * 1000)),
        // 计算相差小时数
        leave1 = distanceTime % (24 * 3600 * 1000),
        hours = Math.floor(leave1 / (3600 * 1000)),
        // 计算相差分钟数
        leave2 = leave1 % (3600 * 1000),
        minutes = Math.floor(leave2 / (60 * 1000)),
        // 计算相差毫秒数
        leave3 = leave2 % (60 * 1000),
        seconds = Math.round(leave3 / 1000),
        // 处理返回格式
        dayStr = days <= 0 ? "" : days + "天",
        hourStr = hours <= 0 ? "" : hours + "小时",
        minuteStr = minutes <= 0 ? "" : minutes + "分钟",
        secondStr = (days <= 0 && hours <= 0 && minutes <= 0) ? "刚刚" : "前";
    // secondStr=seconds==0?"":seconds+"秒";
    if (days >= 1) {
        return dayStr + '前';
    } else {
        return dayStr + hourStr + minuteStr + secondStr;
    }
}
// 时间倒计时 (未来距离现在)
export const timeDown = (endDate) => {
    var now = new Date();
    var leftTime = endDate - now.getTime();
    var leftsecond = parseInt(leftTime / 1000);
    var day1 = Math.floor(leftsecond / (60 * 60 * 24));
    var hour = Math.floor((leftsecond - day1 * 24 * 60 * 60) / 3600);
    var minute = Math.floor((leftsecond - day1 * 24 * 60 * 60 - hour * 3600) / 60);
    var second = Math.floor(leftsecond - day1 * 24 * 60 * 60 - hour * 3600 - minute * 60);
    hour = hour >= 10 ? hour : '0' + hour;
    minute = minute >= 10 ? minute : '0' + minute;
    second = second >= 10 ? second : '0' + second;
    return day1 + '天' + hour + ':' + minute + ':' + second;
    return leftTime;
}

export const isPhone = ($poneInput) => {
    var myreg = /^[1][3,4,5,7,8][0-9]{9}$/;
    if (!myreg.test($poneInput)) {
        return true;
    } else {
        return false;
    }
} 